Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625012 - timeouts at large reports
timeouts at large reports
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: abrt (Show other bugs)
6.0
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Jiri Moskovcak
Michal Nowak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 07:06 EDT by Jiri Moskovcak
Modified: 2015-02-01 17:52 EST (History)
10 users (show)

See Also:
Fixed In Version: abrt-1.1.13-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:33:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.52 KB, patch)
2010-08-18 07:09 EDT, Jiri Moskovcak
no flags Details | Diff

  None (edit)
Description Jiri Moskovcak 2010-08-18 07:06:21 EDT
Description of problem:
When ABRT tries to upload a large file the dbus call timeouts, the process finishes ok, but the gui and cli throws en error message and don't show the result. 

Version-Release number of selected component (if applicable):
abrt-1.1.13

How reproducible:
100%

Steps to Reproduce:
1. try to upload a large file which takes more then 60 second to upload
  
Actual results:
The file is uploaded OK, but the GUI/CLI complains about timeout and don't show the result.

Expected results:
GUI/CLI doesn't timeout and shows the response from the server.

Additional info:
Can be easily fixed by just increasing the dbus timeout in gui - a lot of apps solve this by using value like MAX_INT which is a few years and should be enough for all cases...
Comment 1 Jiri Moskovcak 2010-08-18 07:09:40 EDT
Created attachment 439362 [details]
Proposed patch

this patch increases the timeout to 3600 seconds
Comment 3 Michal Nowak 2010-08-18 09:32:01 EDT
With scratch build:
"""
Compressing data
Creating a new case...
Uploaded: 160 of 229868 kbytes
Uploaded: 7552 of 229868 kbytes
Uploaded: 17648 of 229868 kbytes
Uploaded: 24864 of 229868 kbytes
Uploaded: 35312 of 229868 kbytes
Uploaded: 44688 of 229868 kbytes
[...]
"""

Created: https://api.avalon-ci.gss.redhat.com/rs/cases/00125259

It took 8m30s (far more than 60s allowed in old version) and whole GUI worked as expected. Looking forward to non-scratch build.
Comment 7 releng-rhel@redhat.com 2010-11-10 14:33:48 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.